io_uring_queue_exit(3)

NAME
io_uring_queue_exit - tear down io_uring submission and completion queues

SYNOPSIS
#include <liburing.h>

void io_uring_queue_exit(struct io_uring * ring );

DESCRIPTION

io_uring_queue_exit(3) will release all resources acquired and initialized by io_uring_queue_init(3). It first unmaps the memory shared between the application and the kernel and then closes the io_uring file descriptor.

RETURN VALUE
None

SEE ALSO
io_uring_setup(2), mmap(2), io_uring_queue_init(3)